Subject: bug#58373: Support image-type `jpg'

From: Stefan Kangas <[email-masked]>
Date: Sat, 8 Oct 2022 12:36:52 +0200

Thuna <[email-masked]> writes:

> Currently, `jpg' is not in image-types, despite `jpeg' being in it.
> Similarly, image descriptors of the form `(image :type jpg...)' do not
> display properly, while those of the form `(image :type jpeg...)' do.

The image type is really "JPEG" (and the MIME type "image/jpeg"), while
".jpg" just happens to be a commonly used file extension for that file
format.  So what we have now is already correct, strictly speaking.

All the same, perhaps it would be convenient to allow "jpg" as an alias
for "jpeg".  Would that risk introducing some backwards-incompatibility
with some package out there though?